{% extends "publish-default/README.md" %}

{% block header -%}
[< Back to published runs](../README.md)
{%- endblock %}

{% block title -%}
# Guild Run {{ run.id }}

*{{ run.operation }} {{ run.label }}*
{%- endblock %}

{% block summary -%}
| Attribute | Value               |
|-----------|---------------------|
| ID        | {{ run.id }}        |
| Operation | {{ run.operation }} |
| Started   | {{ run.started }}   |
| Stopped   | {{ run.stopped }}   |
| Duration  | {{ run.time }}      |
| Label     | {{ run.label }}     |
{%- endblock %}

{% block flags -%}
## Flags

Flags are user-defined input to the run. The following flags were used
for this run:

{% if flags -%}
| Name | Value |
|------|-------|
{% for name, val in flags|dictsort %}| {{ name }} | {{ val|flag_val }} |
{% endfor -%}
{% else -%}
There are no flags for this run.
{%- endif %}
{%- endblock %}

{% block scalars -%}
## Scalars

Scalars are metrics generated during a run.

{% set rows = scalars|csv_dict_rows -%}
{% if rows -%}
| Key | Last Logged Value |
|-----|-------------------|
{% for row in rows %}| {{ row|scalar_key }} | {{ row.last_val }} (step {{ row.last_step }}) |
{% endfor -%}
{% else -%}
There are no scalars for this run.
{%- endif %}
{%- endblock %}

{% block runfiles -%}
## Run Files

*Run files* are non-source code files. They're either inputs to the
run (dependencies) or outputs (generated files).

{% set rows = runfiles|csv_dict_rows -%}
{% if rows -%}
The following files are associated with this run:
{% for row in rows %}
 - {{ row.path }}
{%- endfor %}
{% else -%}
There are no run files associated with this run.
{%- endif %}
{%- endblock %}

{% block sourcecode -%}
## Source Code

{% include ["publish-default/_sourcecode.md"] %}
{%- endblock %}

{% block output -%}
## Output

The following output was generated for this run:

```
{{ output|empty -}}
```
{%- endblock %}
{% block footer %}
---

*This file was generated by a custom template*
{%- endblock %}
